ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.86 by root, Sat Jan 21 22:34:05 2006 UTC vs.
Revision 1.90 by root, Sun Jan 22 17:10:01 2006 UTC

883 --enable-next-scroll enable NeXT style scrollbar 883 --enable-next-scroll enable NeXT style scrollbar
884 --enable-xterm-scroll enable Xterm style scrollbar 884 --enable-xterm-scroll enable Xterm style scrollbar
885 --enable-perl enable embedded perl interpreter 885 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 886 --enable-plain-scroll enable plain style scrollbar
887 --enable-xim XIM (X Input Method) protocol support 887 --enable-xim XIM (X Input Method) protocol support
888 --enable-ttygid enable tty setting to group named "tty"
889 --disable-backspace-key disable handling of the backspace key 888 --disable-backspace-key disable handling of the backspace key
890 --disable-delete-key disable handling of the delete key 889 --disable-delete-key disable handling of the delete key
891 --disable-resources disable all resource checking 890 --disable-resources disable all resource checking
892 --enable-8bitctrls enable 8 bit control sequences (not recommended) 891 --enable-8bitctrls enable 8 bit control sequences (not recommended)
893 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 892 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
4335 if test x$enableval = xyes -o x$enableval = xno; then 4334 if test x$enableval = xyes -o x$enableval = xno; then
4336 support_xim=$enableval 4335 support_xim=$enableval
4337 fi 4336 fi
4338fi; 4337fi;
4339 4338
4340# Check whether --enable-ttygid or --disable-ttygid was given.
4341if test "${enable_ttygid+set}" = set; then
4342 enableval="$enable_ttygid"
4343 if test x$enableval = xyes; then
4344
4345cat >>confdefs.h <<\_ACEOF
4346#define TTY_GID_SUPPORT 1
4347_ACEOF
4348
4349 fi
4350fi;
4351
4352# Check whether --enable-backspace-key or --disable-backspace-key was given. 4339# Check whether --enable-backspace-key or --disable-backspace-key was given.
4353if test "${enable_backspace_key+set}" = set; then 4340if test "${enable_backspace_key+set}" = set; then
4354 enableval="$enable_backspace_key" 4341 enableval="$enable_backspace_key"
4355 if test x$enableval = xno; then 4342 if test x$enableval = xno; then
4356 4343
10071 10058
10072 10059
10073 10060
10074 10061
10075 10062
10076
10077for ac_func in \ 10063for ac_func in \
10078 unsetenv \ 10064 unsetenv \
10079 setutent \ 10065 setutent \
10080 seteuid \ 10066 seteuid \
10081 setresuid \ 10067 setresuid \
10082 setreuid \ 10068 setreuid \
10083 on_exit \ 10069 on_exit \
10084 nanosleep \
10085 10070
10086do 10071do
10087as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 10072as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10088echo "$as_me:$LINENO: checking for $ac_func" >&5 10073echo "$as_me:$LINENO: checking for $ac_func" >&5
10089echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6 10074echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10586 10571
10587fi 10572fi
10588if test $ac_cv_header_utmp_h = yes; then 10573if test $ac_cv_header_utmp_h = yes; then
10589 echo "$as_me:$LINENO: checking for struct utmp" >&5 10574 echo "$as_me:$LINENO: checking for struct utmp" >&5
10590echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6 10575echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6
10591if test "${rxvt_cv_struct_utmp+set}" = set; then 10576if test "${struct_utmp+set}" = set; then
10592 echo $ECHO_N "(cached) $ECHO_C" >&6 10577 echo $ECHO_N "(cached) $ECHO_C" >&6
10593else 10578else
10594 cat >conftest.$ac_ext <<_ACEOF 10579 cat >conftest.$ac_ext <<_ACEOF
10595/* confdefs.h. */ 10580/* confdefs.h. */
10596_ACEOF 10581_ACEOF
10626 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10611 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10627 (eval $ac_try) 2>&5 10612 (eval $ac_try) 2>&5
10628 ac_status=$? 10613 ac_status=$?
10629 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10614 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10630 (exit $ac_status); }; }; then 10615 (exit $ac_status); }; }; then
10631 rxvt_cv_struct_utmp=yes 10616 struct_utmp=yes
10632else 10617else
10633 echo "$as_me: failed program was:" >&5 10618 echo "$as_me: failed program was:" >&5
10634sed 's/^/| /' conftest.$ac_ext >&5 10619sed 's/^/| /' conftest.$ac_ext >&5
10635 10620
10636rxvt_cv_struct_utmp=no 10621struct_utmp=no
10637fi 10622fi
10638rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10623rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10639fi 10624fi
10640echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp" >&5 10625echo "$as_me:$LINENO: result: $struct_utmp" >&5
10641echo "${ECHO_T}$rxvt_cv_struct_utmp" >&6 10626echo "${ECHO_T}$struct_utmp" >&6
10642if test x$rxvt_cv_struct_utmp = xyes; then 10627if test x$struct_utmp = xyes; then
10643 10628
10644cat >>confdefs.h <<\_ACEOF 10629cat >>confdefs.h <<\_ACEOF
10645#define HAVE_STRUCT_UTMP 1 10630#define HAVE_STRUCT_UTMP 1
10646_ACEOF 10631_ACEOF
10647 10632
10648fi 10633fi
10649 10634
10650 10635
10651echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5 10636echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5
10652echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6 10637echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6
10653if test "${rxvt_cv_struct_utmp_host+set}" = set; then 10638if test "${struct_utmp_host+set}" = set; then
10654 echo $ECHO_N "(cached) $ECHO_C" >&6 10639 echo $ECHO_N "(cached) $ECHO_C" >&6
10655else 10640else
10656 cat >conftest.$ac_ext <<_ACEOF 10641 cat >conftest.$ac_ext <<_ACEOF
10657/* confdefs.h. */ 10642/* confdefs.h. */
10658_ACEOF 10643_ACEOF
10688 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10673 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10689 (eval $ac_try) 2>&5 10674 (eval $ac_try) 2>&5
10690 ac_status=$? 10675 ac_status=$?
10691 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10676 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10692 (exit $ac_status); }; }; then 10677 (exit $ac_status); }; }; then
10693 rxvt_cv_struct_utmp_host=yes 10678 struct_utmp_host=yes
10694else 10679else
10695 echo "$as_me: failed program was:" >&5 10680 echo "$as_me: failed program was:" >&5
10696sed 's/^/| /' conftest.$ac_ext >&5 10681sed 's/^/| /' conftest.$ac_ext >&5
10697 10682
10698rxvt_cv_struct_utmp_host=no 10683struct_utmp_host=no
10699fi 10684fi
10700rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10685rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10701fi 10686fi
10702echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_host" >&5 10687echo "$as_me:$LINENO: result: $struct_utmp_host" >&5
10703echo "${ECHO_T}$rxvt_cv_struct_utmp_host" >&6 10688echo "${ECHO_T}$struct_utmp_host" >&6
10704if test x$rxvt_cv_struct_utmp_host = xyes; then 10689if test x$struct_utmp_host = xyes; then
10705 10690
10706cat >>confdefs.h <<\_ACEOF 10691cat >>confdefs.h <<\_ACEOF
10707#define HAVE_UTMP_HOST 1 10692#define HAVE_UTMP_HOST 1
10708_ACEOF 10693_ACEOF
10709 10694
10710fi 10695fi
10711 10696
10712echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5 10697echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5
10713echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6 10698echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6
10714if test "${rxvt_cv_struct_utmp_pid+set}" = set; then 10699if test "${struct_utmp_pid+set}" = set; then
10715 echo $ECHO_N "(cached) $ECHO_C" >&6 10700 echo $ECHO_N "(cached) $ECHO_C" >&6
10716else 10701else
10717 cat >conftest.$ac_ext <<_ACEOF 10702 cat >conftest.$ac_ext <<_ACEOF
10718/* confdefs.h. */ 10703/* confdefs.h. */
10719_ACEOF 10704_ACEOF
10749 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10734 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10750 (eval $ac_try) 2>&5 10735 (eval $ac_try) 2>&5
10751 ac_status=$? 10736 ac_status=$?
10752 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10737 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10753 (exit $ac_status); }; }; then 10738 (exit $ac_status); }; }; then
10754 rxvt_cv_struct_utmp_pid=yes 10739 struct_utmp_pid=yes
10755else 10740else
10756 echo "$as_me: failed program was:" >&5 10741 echo "$as_me: failed program was:" >&5
10757sed 's/^/| /' conftest.$ac_ext >&5 10742sed 's/^/| /' conftest.$ac_ext >&5
10758 10743
10759rxvt_cv_struct_utmp_pid=no 10744struct_utmp_pid=no
10760fi 10745fi
10761rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10746rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10762fi 10747fi
10763echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_pid" >&5 10748echo "$as_me:$LINENO: result: $struct_utmp_pid" >&5
10764echo "${ECHO_T}$rxvt_cv_struct_utmp_pid" >&6 10749echo "${ECHO_T}$struct_utmp_pid" >&6
10765if test x$rxvt_cv_struct_utmp_pid = xyes; then 10750if test x$struct_utmp_pid = xyes; then
10766 10751
10767cat >>confdefs.h <<\_ACEOF 10752cat >>confdefs.h <<\_ACEOF
10768#define HAVE_UTMP_PID 1 10753#define HAVE_UTMP_PID 1
10769_ACEOF 10754_ACEOF
10770 10755
10911 10896
10912fi 10897fi
10913if test $ac_cv_header_utmpx_h = yes; then 10898if test $ac_cv_header_utmpx_h = yes; then
10914 echo "$as_me:$LINENO: checking for struct utmpx" >&5 10899 echo "$as_me:$LINENO: checking for struct utmpx" >&5
10915echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6 10900echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6
10916if test "${rxvt_cv_struct_utmpx+set}" = set; then 10901if test "${struct_utmpx+set}" = set; then
10917 echo $ECHO_N "(cached) $ECHO_C" >&6 10902 echo $ECHO_N "(cached) $ECHO_C" >&6
10918else 10903else
10919 cat >conftest.$ac_ext <<_ACEOF 10904 cat >conftest.$ac_ext <<_ACEOF
10920/* confdefs.h. */ 10905/* confdefs.h. */
10921_ACEOF 10906_ACEOF
10951 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10936 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10952 (eval $ac_try) 2>&5 10937 (eval $ac_try) 2>&5
10953 ac_status=$? 10938 ac_status=$?
10954 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10939 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10955 (exit $ac_status); }; }; then 10940 (exit $ac_status); }; }; then
10956 rxvt_cv_struct_utmpx=yes 10941 struct_utmpx=yes
10957else 10942else
10958 echo "$as_me: failed program was:" >&5 10943 echo "$as_me: failed program was:" >&5
10959sed 's/^/| /' conftest.$ac_ext >&5 10944sed 's/^/| /' conftest.$ac_ext >&5
10960 10945
10961rxvt_cv_struct_utmpx=no 10946struct_utmpx=no
10962fi 10947fi
10963rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10948rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10964fi 10949fi
10965echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx" >&5 10950echo "$as_me:$LINENO: result: $struct_utmpx" >&5
10966echo "${ECHO_T}$rxvt_cv_struct_utmpx" >&6 10951echo "${ECHO_T}$struct_utmpx" >&6
10967if test x$rxvt_cv_struct_utmpx = xyes; then 10952if test x$struct_utmpx = xyes; then
10968 10953
10969cat >>confdefs.h <<\_ACEOF 10954cat >>confdefs.h <<\_ACEOF
10970#define HAVE_STRUCT_UTMPX 1 10955#define HAVE_STRUCT_UTMPX 1
10971_ACEOF 10956_ACEOF
10972 10957
10973fi 10958fi
10974 10959
10975 10960
10976echo "$as_me:$LINENO: checking for host in utmpx struct" >&5 10961echo "$as_me:$LINENO: checking for host in utmpx struct" >&5
10977echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6 10962echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6
10978if test "${rxvt_cv_struct_utmpx_host+set}" = set; then 10963if test "${struct_utmpx_host+set}" = set; then
10979 echo $ECHO_N "(cached) $ECHO_C" >&6 10964 echo $ECHO_N "(cached) $ECHO_C" >&6
10980else 10965else
10981 cat >conftest.$ac_ext <<_ACEOF 10966 cat >conftest.$ac_ext <<_ACEOF
10982/* confdefs.h. */ 10967/* confdefs.h. */
10983_ACEOF 10968_ACEOF
11013 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10998 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11014 (eval $ac_try) 2>&5 10999 (eval $ac_try) 2>&5
11015 ac_status=$? 11000 ac_status=$?
11016 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11001 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11017 (exit $ac_status); }; }; then 11002 (exit $ac_status); }; }; then
11018 rxvt_cv_struct_utmpx_host=yes 11003 struct_utmpx_host=yes
11019else 11004else
11020 echo "$as_me: failed program was:" >&5 11005 echo "$as_me: failed program was:" >&5
11021sed 's/^/| /' conftest.$ac_ext >&5 11006sed 's/^/| /' conftest.$ac_ext >&5
11022 11007
11023rxvt_cv_struct_utmpx_host=no 11008struct_utmpx_host=no
11024fi 11009fi
11025rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11010rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11026fi 11011fi
11027echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_host" >&5 11012echo "$as_me:$LINENO: result: $struct_utmpx_host" >&5
11028echo "${ECHO_T}$rxvt_cv_struct_utmpx_host" >&6 11013echo "${ECHO_T}$struct_utmpx_host" >&6
11029if test x$rxvt_cv_struct_utmpx_host = xyes; then 11014if test x$struct_utmpx_host = xyes; then
11030 11015
11031cat >>confdefs.h <<\_ACEOF 11016cat >>confdefs.h <<\_ACEOF
11032#define HAVE_UTMPX_HOST 1 11017#define HAVE_UTMPX_HOST 1
11033_ACEOF 11018_ACEOF
11034 11019
11035fi 11020fi
11036 11021
11037echo "$as_me:$LINENO: checking for session in utmpx struct" >&5 11022echo "$as_me:$LINENO: checking for session in utmpx struct" >&5
11038echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6 11023echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6
11039if test "${rxvt_cv_struct_utmpx_session+set}" = set; then 11024if test "${struct_utmpx_session+set}" = set; then
11040 echo $ECHO_N "(cached) $ECHO_C" >&6 11025 echo $ECHO_N "(cached) $ECHO_C" >&6
11041else 11026else
11042 cat >conftest.$ac_ext <<_ACEOF 11027 cat >conftest.$ac_ext <<_ACEOF
11043/* confdefs.h. */ 11028/* confdefs.h. */
11044_ACEOF 11029_ACEOF
11074 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11059 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11075 (eval $ac_try) 2>&5 11060 (eval $ac_try) 2>&5
11076 ac_status=$? 11061 ac_status=$?
11077 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11062 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11078 (exit $ac_status); }; }; then 11063 (exit $ac_status); }; }; then
11079 rxvt_cv_struct_utmpx_session=yes 11064 struct_utmpx_session=yes
11080else 11065else
11081 echo "$as_me: failed program was:" >&5 11066 echo "$as_me: failed program was:" >&5
11082sed 's/^/| /' conftest.$ac_ext >&5 11067sed 's/^/| /' conftest.$ac_ext >&5
11083 11068
11084rxvt_cv_struct_utmpx_session=no 11069struct_utmpx_session=no
11085fi 11070fi
11086rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11071rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11087fi 11072fi
11088echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_session" >&5 11073echo "$as_me:$LINENO: result: $struct_utmpx_session" >&5
11089echo "${ECHO_T}$rxvt_cv_struct_utmpx_session" >&6 11074echo "${ECHO_T}$struct_utmpx_session" >&6
11090if test x$rxvt_cv_struct_utmpx_session = xyes; then 11075if test x$struct_utmpx_session = xyes; then
11091 11076
11092cat >>confdefs.h <<\_ACEOF 11077cat >>confdefs.h <<\_ACEOF
11093#define HAVE_UTMPX_SESSION 1 11078#define HAVE_UTMPX_SESSION 1
11094_ACEOF 11079_ACEOF
11095 11080
11098fi 11083fi
11099 11084
11100 11085
11101echo "$as_me:$LINENO: checking for struct lastlog" >&5 11086echo "$as_me:$LINENO: checking for struct lastlog" >&5
11102echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6 11087echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6
11103if test "${rxvt_cv_struct_lastlog+set}" = set; then 11088if test "${struct_lastlog+set}" = set; then
11104 echo $ECHO_N "(cached) $ECHO_C" >&6 11089 echo $ECHO_N "(cached) $ECHO_C" >&6
11105else 11090else
11106 cat >conftest.$ac_ext <<_ACEOF 11091 cat >conftest.$ac_ext <<_ACEOF
11107/* confdefs.h. */ 11092/* confdefs.h. */
11108_ACEOF 11093_ACEOF
11142 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11127 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11143 (eval $ac_try) 2>&5 11128 (eval $ac_try) 2>&5
11144 ac_status=$? 11129 ac_status=$?
11145 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11130 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11146 (exit $ac_status); }; }; then 11131 (exit $ac_status); }; }; then
11147 rxvt_cv_struct_lastlog=yes 11132 struct_lastlog=yes
11148else 11133else
11149 echo "$as_me: failed program was:" >&5 11134 echo "$as_me: failed program was:" >&5
11150sed 's/^/| /' conftest.$ac_ext >&5 11135sed 's/^/| /' conftest.$ac_ext >&5
11151 11136
11152rxvt_cv_struct_lastlog=no 11137struct_lastlog=no
11153fi 11138fi
11154rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11139rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11155fi 11140fi
11156echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlog" >&5 11141echo "$as_me:$LINENO: result: $struct_lastlog" >&5
11157echo "${ECHO_T}$rxvt_cv_struct_lastlog" >&6 11142echo "${ECHO_T}$struct_lastlog" >&6
11158if test x$rxvt_cv_struct_lastlog = xyes; then 11143if test x$struct_lastlog = xyes; then
11159 11144
11160cat >>confdefs.h <<\_ACEOF 11145cat >>confdefs.h <<\_ACEOF
11161#define HAVE_STRUCT_LASTLOG 1 11146#define HAVE_STRUCT_LASTLOG 1
11162_ACEOF 11147_ACEOF
11163 11148
11164fi 11149fi
11165 11150
11166echo "$as_me:$LINENO: checking for struct lastlogx" >&5 11151echo "$as_me:$LINENO: checking for struct lastlogx" >&5
11167echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6 11152echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6
11168if test "${rxvt_cv_struct_lastlogx+set}" = set; then 11153if test "${struct_lastlogx+set}" = set; then
11169 echo $ECHO_N "(cached) $ECHO_C" >&6 11154 echo $ECHO_N "(cached) $ECHO_C" >&6
11170else 11155else
11171 cat >conftest.$ac_ext <<_ACEOF 11156 cat >conftest.$ac_ext <<_ACEOF
11172/* confdefs.h. */ 11157/* confdefs.h. */
11173_ACEOF 11158_ACEOF
11207 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11192 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11208 (eval $ac_try) 2>&5 11193 (eval $ac_try) 2>&5
11209 ac_status=$? 11194 ac_status=$?
11210 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11195 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11211 (exit $ac_status); }; }; then 11196 (exit $ac_status); }; }; then
11212 rxvt_cv_struct_lastlogx=yes 11197 struct_lastlogx=yes
11213else 11198else
11214 echo "$as_me: failed program was:" >&5 11199 echo "$as_me: failed program was:" >&5
11215sed 's/^/| /' conftest.$ac_ext >&5 11200sed 's/^/| /' conftest.$ac_ext >&5
11216 11201
11217rxvt_cv_struct_lastlogx=no 11202struct_lastlogx=no
11218fi 11203fi
11219rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11204rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11220fi 11205fi
11221echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlogx" >&5 11206echo "$as_me:$LINENO: result: $struct_lastlogx" >&5
11222echo "${ECHO_T}$rxvt_cv_struct_lastlogx" >&6 11207echo "${ECHO_T}$struct_lastlogx" >&6
11223if test x$rxvt_cv_struct_lastlogx = xyes; then 11208if test x$struct_lastlogx = xyes; then
11224 11209
11225cat >>confdefs.h <<\_ACEOF 11210cat >>confdefs.h <<\_ACEOF
11226#define HAVE_STRUCT_LASTLOGX 1 11211#define HAVE_STRUCT_LASTLOGX 1
11227_ACEOF 11212_ACEOF
11228 11213
11229fi 11214fi
11230 11215
11231 11216
11232echo "$as_me:$LINENO: checking where utmp is located" >&5 11217echo "$as_me:$LINENO: checking where utmp is located" >&5
11233echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6 11218echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6
11234if test "${rxvt_cv_path_utmp+set}" = set; then 11219if test "${path_utmp+set}" = set; then
11235 echo $ECHO_N "(cached) $ECHO_C" >&6 11220 echo $ECHO_N "(cached) $ECHO_C" >&6
11236else 11221else
11237 if test "$cross_compiling" = yes; then 11222 if test "$cross_compiling" = yes; then
11238 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&5 11223 { echo "$as_me:$LINENO: WARNING: Define UTMP_FILE in config.h manually" >&5
11239echo "$as_me: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&2;} 11224echo "$as_me: WARNING: Define UTMP_FILE in config.h manually" >&2;}
11240else 11225else
11241 cat >conftest.$ac_ext <<_ACEOF 11226 cat >conftest.$ac_ext <<_ACEOF
11242/* confdefs.h. */ 11227/* confdefs.h. */
11243_ACEOF 11228_ACEOF
11244cat confdefs.h >>conftest.$ac_ext 11229cat confdefs.h >>conftest.$ac_ext
11280 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11265 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11281 (eval $ac_try) 2>&5 11266 (eval $ac_try) 2>&5
11282 ac_status=$? 11267 ac_status=$?
11283 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11268 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11284 (exit $ac_status); }; }; then 11269 (exit $ac_status); }; }; then
11285 rxvt_cv_path_utmp=`cat conftestval` 11270 path_utmp=`cat conftestval`
11286else 11271else
11287 echo "$as_me: program exited with status $ac_status" >&5 11272 echo "$as_me: program exited with status $ac_status" >&5
11288echo "$as_me: failed program was:" >&5 11273echo "$as_me: failed program was:" >&5
11289sed 's/^/| /' conftest.$ac_ext >&5 11274sed 's/^/| /' conftest.$ac_ext >&5
11290 11275
11291( exit $ac_status ) 11276( exit $ac_status )
11292rxvt_cv_path_utmp= 11277path_utmp=
11293fi 11278fi
11294rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11279rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11295fi 11280fi
11296fi 11281fi
11297echo "$as_me:$LINENO: result: $rxvt_cv_path_utmp" >&5 11282echo "$as_me:$LINENO: result: $path_utmp" >&5
11298echo "${ECHO_T}$rxvt_cv_path_utmp" >&6 11283echo "${ECHO_T}$path_utmp" >&6
11299if test x$rxvt_cv_path_utmp != x; then 11284if test x$path_utmp != x; then
11300 11285
11301cat >>confdefs.h <<_ACEOF 11286cat >>confdefs.h <<_ACEOF
11302#define RXVT_UTMP_FILE "$rxvt_cv_path_utmp" 11287#define UTMP_FILE "$path_utmp"
11303_ACEOF 11288_ACEOF
11304 11289
11305fi 11290fi
11306 11291
11307 11292
11308echo "$as_me:$LINENO: checking where utmpx is located" >&5 11293echo "$as_me:$LINENO: checking where utmpx is located" >&5
11309echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6 11294echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6
11310if test "${rxvt_cv_path_utmpx+set}" = set; then 11295if test "${path_utmpx+set}" = set; then
11311 echo $ECHO_N "(cached) $ECHO_C" >&6 11296 echo $ECHO_N "(cached) $ECHO_C" >&6
11312else 11297else
11313 if test "$cross_compiling" = yes; then 11298 if test "$cross_compiling" = yes; then
11314 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&5 11299 { echo "$as_me:$LINENO: WARNING: Define UTMPX_FILE in config.h manually" >&5
11315echo "$as_me: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&2;} 11300echo "$as_me: WARNING: Define UTMPX_FILE in config.h manually" >&2;}
11316else 11301else
11317 cat >conftest.$ac_ext <<_ACEOF 11302 cat >conftest.$ac_ext <<_ACEOF
11318/* confdefs.h. */ 11303/* confdefs.h. */
11319_ACEOF 11304_ACEOF
11320cat confdefs.h >>conftest.$ac_ext 11305cat confdefs.h >>conftest.$ac_ext
11366 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11351 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11367 (eval $ac_try) 2>&5 11352 (eval $ac_try) 2>&5
11368 ac_status=$? 11353 ac_status=$?
11369 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11354 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11370 (exit $ac_status); }; }; then 11355 (exit $ac_status); }; }; then
11371 rxvt_cv_path_utmpx=`cat conftestval` 11356 path_utmpx=`cat conftestval`
11372else 11357else
11373 echo "$as_me: program exited with status $ac_status" >&5 11358 echo "$as_me: program exited with status $ac_status" >&5
11374echo "$as_me: failed program was:" >&5 11359echo "$as_me: failed program was:" >&5
11375sed 's/^/| /' conftest.$ac_ext >&5 11360sed 's/^/| /' conftest.$ac_ext >&5
11376 11361
11377( exit $ac_status ) 11362( exit $ac_status )
11378rxvt_cv_path_utmpx= 11363path_utmpx=
11379fi 11364fi
11380rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11365rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11381fi 11366fi
11382fi 11367fi
11383echo "$as_me:$LINENO: result: $rxvt_cv_path_utmpx" >&5 11368echo "$as_me:$LINENO: result: $path_utmpx" >&5
11384echo "${ECHO_T}$rxvt_cv_path_utmpx" >&6 11369echo "${ECHO_T}$path_utmpx" >&6
11385if test x$rxvt_cv_path_utmpx != x; then 11370if test x$path_utmpx != x; then
11386 11371
11387cat >>confdefs.h <<_ACEOF 11372cat >>confdefs.h <<_ACEOF
11388#define RXVT_UTMPX_FILE "$rxvt_cv_path_utmpx" 11373#define UTMPX_FILE "$path_utmpx"
11389_ACEOF 11374_ACEOF
11390 11375
11391fi 11376fi
11392 11377
11393 11378
11394echo "$as_me:$LINENO: checking where wtmp is located" >&5 11379echo "$as_me:$LINENO: checking where wtmp is located" >&5
11395echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6 11380echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6
11396if test "${rxvt_cv_path_wtmp+set}" = set; then 11381if test "${path_wtmp+set}" = set; then
11397 echo $ECHO_N "(cached) $ECHO_C" >&6 11382 echo $ECHO_N "(cached) $ECHO_C" >&6
11398else 11383else
11399 if test "$cross_compiling" = yes; then 11384 if test "$cross_compiling" = yes; then
11400 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&5 11385 { echo "$as_me:$LINENO: WARNING: Define WTMP_FILE in config.h manually" >&5
11401echo "$as_me: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&2;} 11386echo "$as_me: WARNING: Define WTMP_FILE in config.h manually" >&2;}
11402else 11387else
11403 cat >conftest.$ac_ext <<_ACEOF 11388 cat >conftest.$ac_ext <<_ACEOF
11404/* confdefs.h. */ 11389/* confdefs.h. */
11405_ACEOF 11390_ACEOF
11406cat confdefs.h >>conftest.$ac_ext 11391cat confdefs.h >>conftest.$ac_ext
11444 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11429 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11445 (eval $ac_try) 2>&5 11430 (eval $ac_try) 2>&5
11446 ac_status=$? 11431 ac_status=$?
11447 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11432 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11448 (exit $ac_status); }; }; then 11433 (exit $ac_status); }; }; then
11449 rxvt_cv_path_wtmp=`cat conftestval` 11434 path_wtmp=`cat conftestval`
11450else 11435else
11451 echo "$as_me: program exited with status $ac_status" >&5 11436 echo "$as_me: program exited with status $ac_status" >&5
11452echo "$as_me: failed program was:" >&5 11437echo "$as_me: failed program was:" >&5
11453sed 's/^/| /' conftest.$ac_ext >&5 11438sed 's/^/| /' conftest.$ac_ext >&5
11454 11439
11455( exit $ac_status ) 11440( exit $ac_status )
11456rxvt_cv_path_wtmp= 11441path_wtmp=
11457fi 11442fi
11458rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11443rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11459fi 11444fi
11460fi 11445fi
11461echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmp" >&5 11446echo "$as_me:$LINENO: result: $path_wtmp" >&5
11462echo "${ECHO_T}$rxvt_cv_path_wtmp" >&6 11447echo "${ECHO_T}$path_wtmp" >&6
11463if test x$rxvt_cv_path_wtmp != x; then 11448if test x$path_wtmp != x; then
11464 11449
11465cat >>confdefs.h <<_ACEOF 11450cat >>confdefs.h <<_ACEOF
11466#define RXVT_WTMP_FILE "$rxvt_cv_path_wtmp" 11451#define WTMP_FILE "$path_wtmp"
11467_ACEOF 11452_ACEOF
11468 11453
11469fi 11454fi
11470 11455
11471echo "$as_me:$LINENO: checking where wtmpx is located" >&5 11456echo "$as_me:$LINENO: checking where wtmpx is located" >&5
11472echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6 11457echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6
11473if test "${rxvt_cv_path_wtmpx+set}" = set; then 11458if test "${path_wtmpx+set}" = set; then
11474 echo $ECHO_N "(cached) $ECHO_C" >&6 11459 echo $ECHO_N "(cached) $ECHO_C" >&6
11475else 11460else
11476 if test "$cross_compiling" = yes; then 11461 if test "$cross_compiling" = yes; then
11477 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&5 11462 { echo "$as_me:$LINENO: WARNING: Define WTMPX_FILE in config.h manually" >&5
11478echo "$as_me: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&2;} 11463echo "$as_me: WARNING: Define WTMPX_FILE in config.h manually" >&2;}
11479else 11464else
11480 cat >conftest.$ac_ext <<_ACEOF 11465 cat >conftest.$ac_ext <<_ACEOF
11481/* confdefs.h. */ 11466/* confdefs.h. */
11482_ACEOF 11467_ACEOF
11483cat confdefs.h >>conftest.$ac_ext 11468cat confdefs.h >>conftest.$ac_ext
11520 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11505 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11521 (eval $ac_try) 2>&5 11506 (eval $ac_try) 2>&5
11522 ac_status=$? 11507 ac_status=$?
11523 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11508 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11524 (exit $ac_status); }; }; then 11509 (exit $ac_status); }; }; then
11525 rxvt_cv_path_wtmpx=`cat conftestval` 11510 path_wtmpx=`cat conftestval`
11526else 11511else
11527 echo "$as_me: program exited with status $ac_status" >&5 11512 echo "$as_me: program exited with status $ac_status" >&5
11528echo "$as_me: failed program was:" >&5 11513echo "$as_me: failed program was:" >&5
11529sed 's/^/| /' conftest.$ac_ext >&5 11514sed 's/^/| /' conftest.$ac_ext >&5
11530 11515
11531( exit $ac_status ) 11516( exit $ac_status )
11532rxvt_cv_path_wtmpx= 11517path_wtmpx=
11533fi 11518fi
11534rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11519rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11535fi 11520fi
11536fi 11521fi
11537echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmpx" >&5 11522echo "$as_me:$LINENO: result: $path_wtmpx" >&5
11538echo "${ECHO_T}$rxvt_cv_path_wtmpx" >&6 11523echo "${ECHO_T}$path_wtmpx" >&6
11539if test x$rxvt_cv_path_wtmpx != x; then 11524if test x$path_wtmpx != x; then
11540 11525
11541cat >>confdefs.h <<_ACEOF 11526cat >>confdefs.h <<_ACEOF
11542#define RXVT_WTMPX_FILE "$rxvt_cv_path_wtmpx" 11527#define WTMPX_FILE "$path_wtmpx"
11543_ACEOF 11528_ACEOF
11544 11529
11545fi 11530fi
11546 11531
11547echo "$as_me:$LINENO: checking where lastlog is located" >&5 11532echo "$as_me:$LINENO: checking where lastlog is located" >&5
11548echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6 11533echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6
11549if test "${rxvt_cv_path_lastlog+set}" = set; then 11534if test "${path_lastlog+set}" = set; then
11550 echo $ECHO_N "(cached) $ECHO_C" >&6 11535 echo $ECHO_N "(cached) $ECHO_C" >&6
11551else 11536else
11552 if test "$cross_compiling" = yes; then 11537 if test "$cross_compiling" = yes; then
11553 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&5 11538 { echo "$as_me:$LINENO: WARNING: Define LASTLOG_FILE in config.h manually" >&5
11554echo "$as_me: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&2;} 11539echo "$as_me: WARNING: Define LASTLOG_FILE in config.h manually" >&2;}
11555else 11540else
11556 cat >conftest.$ac_ext <<_ACEOF 11541 cat >conftest.$ac_ext <<_ACEOF
11557/* confdefs.h. */ 11542/* confdefs.h. */
11558_ACEOF 11543_ACEOF
11559cat confdefs.h >>conftest.$ac_ext 11544cat confdefs.h >>conftest.$ac_ext
11601 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11586 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11602 (eval $ac_try) 2>&5 11587 (eval $ac_try) 2>&5
11603 ac_status=$? 11588 ac_status=$?
11604 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11589 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11605 (exit $ac_status); }; }; then 11590 (exit $ac_status); }; }; then
11606 rxvt_cv_path_lastlog=`cat conftestval` 11591 path_lastlog=`cat conftestval`
11607else 11592else
11608 echo "$as_me: program exited with status $ac_status" >&5 11593 echo "$as_me: program exited with status $ac_status" >&5
11609echo "$as_me: failed program was:" >&5 11594echo "$as_me: failed program was:" >&5
11610sed 's/^/| /' conftest.$ac_ext >&5 11595sed 's/^/| /' conftest.$ac_ext >&5
11611 11596
11612( exit $ac_status ) 11597( exit $ac_status )
11613rxvt_cv_path_lastlog= 11598path_lastlog=
11614fi 11599fi
11615rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11600rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11616fi 11601fi
11617fi 11602fi
11618echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlog" >&5 11603echo "$as_me:$LINENO: result: $path_lastlog" >&5
11619echo "${ECHO_T}$rxvt_cv_path_lastlog" >&6 11604echo "${ECHO_T}$path_lastlog" >&6
11620if test x$rxvt_cv_path_lastlog != x; then 11605if test x$path_lastlog != x; then
11621 11606
11622cat >>confdefs.h <<_ACEOF 11607cat >>confdefs.h <<_ACEOF
11623#define RXVT_LASTLOG_FILE "$rxvt_cv_path_lastlog" 11608#define LASTLOG_FILE "$path_lastlog"
11624_ACEOF 11609_ACEOF
11625 11610
11626 if test -d "$rxvt_cv_path_lastlog"; then 11611 if test -d "$path_lastlog"; then
11627 11612
11628cat >>confdefs.h <<\_ACEOF 11613cat >>confdefs.h <<\_ACEOF
11629#define LASTLOG_IS_DIR 1 11614#define LASTLOG_IS_DIR 1
11630_ACEOF 11615_ACEOF
11631 11616
11632 fi 11617 fi
11633fi 11618fi
11634 11619
11635echo "$as_me:$LINENO: checking where lastlogx is located" >&5 11620echo "$as_me:$LINENO: checking where lastlogx is located" >&5
11636echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6 11621echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6
11637if test "${rxvt_cv_path_lastlogx+set}" = set; then 11622if test "${path_lastlogx+set}" = set; then
11638 echo $ECHO_N "(cached) $ECHO_C" >&6 11623 echo $ECHO_N "(cached) $ECHO_C" >&6
11639else 11624else
11640 if test "$cross_compiling" = yes; then 11625 if test "$cross_compiling" = yes; then
11641 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&5 11626 { echo "$as_me:$LINENO: WARNING: Define LASTLOGX_FILE in config.h manually" >&5
11642echo "$as_me: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&2;} 11627echo "$as_me: WARNING: Define LASTLOGX_FILE in config.h manually" >&2;}
11643else 11628else
11644 cat >conftest.$ac_ext <<_ACEOF 11629 cat >conftest.$ac_ext <<_ACEOF
11645/* confdefs.h. */ 11630/* confdefs.h. */
11646_ACEOF 11631_ACEOF
11647cat confdefs.h >>conftest.$ac_ext 11632cat confdefs.h >>conftest.$ac_ext
11683 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11668 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11684 (eval $ac_try) 2>&5 11669 (eval $ac_try) 2>&5
11685 ac_status=$? 11670 ac_status=$?
11686 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11671 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11687 (exit $ac_status); }; }; then 11672 (exit $ac_status); }; }; then
11688 rxvt_cv_path_lastlogx=`cat conftestval` 11673 path_lastlogx=`cat conftestval`
11689else 11674else
11690 echo "$as_me: program exited with status $ac_status" >&5 11675 echo "$as_me: program exited with status $ac_status" >&5
11691echo "$as_me: failed program was:" >&5 11676echo "$as_me: failed program was:" >&5
11692sed 's/^/| /' conftest.$ac_ext >&5 11677sed 's/^/| /' conftest.$ac_ext >&5
11693 11678
11694( exit $ac_status ) 11679( exit $ac_status )
11695rxvt_cv_path_lastlogx= 11680path_lastlogx=
11696fi 11681fi
11697rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11682rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11698fi 11683fi
11699fi 11684fi
11700echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlogx" >&5 11685echo "$as_me:$LINENO: result: $path_lastlogx" >&5
11701echo "${ECHO_T}$rxvt_cv_path_lastlogx" >&6 11686echo "${ECHO_T}$path_lastlogx" >&6
11702if test x$rxvt_cv_path_lastlogx != x; then 11687if test x$path_lastlogx != x; then
11703 11688
11704cat >>confdefs.h <<_ACEOF 11689cat >>confdefs.h <<_ACEOF
11705#define RXVT_LASTLOGX_FILE "$rxvt_cv_path_lastlogx" 11690#define LASTLOGX_FILE "$path_lastlogx"
11706_ACEOF 11691_ACEOF
11707 11692
11708fi 11693fi
11709 11694
11710 11695
11981#define HAVE_NL_LANGINFO 1 11966#define HAVE_NL_LANGINFO 1
11982_ACEOF 11967_ACEOF
11983 11968
11984fi 11969fi
11985 11970
11971
11986echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5 11972echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5
11987echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6 11973echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6
11988if test "${rxvt_can_pass_fds+set}" = set; then 11974if test "${can_pass_fds+set}" = set; then
11989 echo $ECHO_N "(cached) $ECHO_C" >&6 11975 echo $ECHO_N "(cached) $ECHO_C" >&6
11990else 11976else
11991 cat >conftest.$ac_ext <<_ACEOF 11977 cat >conftest.$ac_ext <<_ACEOF
11992/* confdefs.h. */ 11978/* confdefs.h. */
11993_ACEOF 11979_ACEOF
12051 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12037 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12052 (eval $ac_try) 2>&5 12038 (eval $ac_try) 2>&5
12053 ac_status=$? 12039 ac_status=$?
12054 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12040 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12055 (exit $ac_status); }; }; then 12041 (exit $ac_status); }; }; then
12056 rxvt_can_pass_fds=yes 12042 can_pass_fds=yes
12057else 12043else
12058 echo "$as_me: failed program was:" >&5 12044 echo "$as_me: failed program was:" >&5
12059sed 's/^/| /' conftest.$ac_ext >&5 12045sed 's/^/| /' conftest.$ac_ext >&5
12060 12046
12061rxvt_can_pass_fds=no 12047can_pass_fds=no
12062fi 12048fi
12063rm -f conftest.err conftest.$ac_objext \ 12049rm -f conftest.err conftest.$ac_objext \
12064 conftest$ac_exeext conftest.$ac_ext 12050 conftest$ac_exeext conftest.$ac_ext
12065fi 12051fi
12066echo "$as_me:$LINENO: result: $rxvt_can_pass_fds" >&5 12052echo "$as_me:$LINENO: result: $can_pass_fds" >&5
12067echo "${ECHO_T}$rxvt_can_pass_fds" >&6 12053echo "${ECHO_T}$can_pass_fds" >&6
12068if test x$rxvt_can_pass_fds = xyes; then 12054if test x$can_pass_fds = xyes; then
12069 12055
12070cat >>confdefs.h <<\_ACEOF 12056cat >>confdefs.h <<\_ACEOF
12071#define HAVE_UNIX_FDPASS 1 12057#define HAVE_UNIX_FDPASS 1
12072_ACEOF 12058_ACEOF
12073 12059
12074else 12060else
12075 { { echo "$as_me:$LINENO: error: urxvt requires unix-compliant filehandle passing ability" >&5 12061 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5
12076echo "$as_me: error: urxvt requires unix-compliant filehandle passing ability" >&2;} 12062echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;}
12077 { (exit 1); exit 1; }; } 12063 { (exit 1); exit 1; }; }
12078fi 12064fi
12065
12079 12066
12080echo "$as_me:$LINENO: checking for broken XIM callback" >&5 12067echo "$as_me:$LINENO: checking for broken XIM callback" >&5
12081echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6 12068echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6
12082if test "${rxvt_broken_ximcb+set}" = set; then 12069if test "${rxvt_broken_ximcb+set}" = set; then
12083 echo $ECHO_N "(cached) $ECHO_C" >&6 12070 echo $ECHO_N "(cached) $ECHO_C" >&6
12717done 12704done
12718 12705
12719fi 12706fi
12720 12707
12721 12708
12709
12710echo "$as_me:$LINENO: checking for tty group" >&5
12711echo $ECHO_N "checking for tty group... $ECHO_C" >&6
12712if test "${tty_group+set}" = set; then
12713 echo $ECHO_N "(cached) $ECHO_C" >&6
12714else
12715 if test "$cross_compiling" = yes; then
12716 tty_group=no
12717else
12718 cat >conftest.$ac_ext <<_ACEOF
12719/* confdefs.h. */
12720_ACEOF
12721cat confdefs.h >>conftest.$ac_ext
12722cat >>conftest.$ac_ext <<_ACEOF
12723/* end confdefs.h. */
12724
12725#include <sys/types.h>
12726#include <sys/stat.h>
12727#include <unistd.h>
12728#include <grp.h>
12729
12730main()
12731{
12732 struct stat st;
12733 struct group *gr;
12734 char *tty;
12735 gr = getgrnam("tty");
12736 tty = ttyname(0);
12737 if (gr != 0
12738 && tty != 0
12739 && (stat(tty, &st)) == 0
12740 && st.st_gid == gr->gr_gid)
12741 return 0;
12742 else
12743 return 1;
12744}
12745_ACEOF
12746rm -f conftest$ac_exeext
12747if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12748 (eval $ac_link) 2>&5
12749 ac_status=$?
12750 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12751 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
12752 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12753 (eval $ac_try) 2>&5
12754 ac_status=$?
12755 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12756 (exit $ac_status); }; }; then
12757 tty_group=yes
12758else
12759 echo "$as_me: program exited with status $ac_status" >&5
12760echo "$as_me: failed program was:" >&5
12761sed 's/^/| /' conftest.$ac_ext >&5
12762
12763( exit $ac_status )
12764tty_group=no
12765fi
12766rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
12767fi
12768fi
12769echo "$as_me:$LINENO: result: $tty_group" >&5
12770echo "${ECHO_T}$tty_group" >&6
12771if test x$tty_group = xyes; then
12772
12773cat >>confdefs.h <<\_ACEOF
12774#define TTY_GID_SUPPORT 1
12775_ACEOF
12776
12777fi
12778
12722if test x$support_xft = xyes; then 12779if test x$support_xft = xyes; then
12723 # Extract the first word of "pkg-config", so it can be a program name with args. 12780 # Extract the first word of "pkg-config", so it can be a program name with args.
12724set dummy pkg-config; ac_word=$2 12781set dummy pkg-config; ac_word=$2
12725echo "$as_me:$LINENO: checking for $ac_word" >&5 12782echo "$as_me:$LINENO: checking for $ac_word" >&5
12726echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 12783echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12758else 12815else
12759 echo "$as_me:$LINENO: result: no" >&5 12816 echo "$as_me:$LINENO: result: no" >&5
12760echo "${ECHO_T}no" >&6 12817echo "${ECHO_T}no" >&6
12761fi 12818fi
12762 12819
12820 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then
12821 LIBS="$LIBS `$PKG_CONFIG xft --libs`"
12822 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`"
12823 else
12763 # Extract the first word of "xft-config", so it can be a program name with args. 12824 # Extract the first word of "xft-config", so it can be a program name with args.
12764set dummy xft-config; ac_word=$2 12825set dummy xft-config; ac_word=$2
12765echo "$as_me:$LINENO: checking for $ac_word" >&5 12826echo "$as_me:$LINENO: checking for $ac_word" >&5
12766echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 12827echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12767if test "${ac_cv_path_XFT_CONFIG+set}" = set; then 12828if test "${ac_cv_path_XFT_CONFIG+set}" = set; then
12768 echo $ECHO_N "(cached) $ECHO_C" >&6 12829 echo $ECHO_N "(cached) $ECHO_C" >&6
12798else 12859else
12799 echo "$as_me:$LINENO: result: no" >&5 12860 echo "$as_me:$LINENO: result: no" >&5
12800echo "${ECHO_T}no" >&6 12861echo "${ECHO_T}no" >&6
12801fi 12862fi
12802 12863
12803 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then
12804 LIBS="$LIBS `$PKG_CONFIG xft --libs`"
12805 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`"
12806 else
12807 if test $XFT_CONFIG != no; then 12864 if test $XFT_CONFIG != no; then
12808 LIBS="$LIBS `$XFT_CONFIG --libs`" 12865 LIBS="$LIBS `$XFT_CONFIG --libs`"
12809 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`" 12866 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`"
12810 fi 12867 fi
12811 fi 12868 fi
14762 14819
14763if test x$support_xpm = xyes; then 14820if test x$support_xpm = xyes; then
14764 echo " Xpm library: $XPM_LIBS" 14821 echo " Xpm library: $XPM_LIBS"
14765fi 14822fi
14766 14823
14767echo "
14768The following are set in config.h
14769"
14770if test x$support_utmp != xyes; then 14824if test x$support_utmp != xyes; then
14771 echo " utmp support: disabled" 14825 echo " utmp support: disabled"
14772 echo 14826 echo
14773else 14827else
14774 echo " utmp support: enabled 14828 echo " utmp support: enabled
14775 utmp file: $rxvt_cv_path_utmp 14829 utmp file: $path_utmp
14776 utmpx file: $rxvt_cv_path_utmpx 14830 utmpx file: $path_utmpx
14777 wtmp file: $rxvt_cv_path_wtmp 14831 wtmp file: $path_wtmp
14778 wtmpx file: $rxvt_cv_path_wtmpx 14832 wtmpx file: $path_wtmpx
14779 lastlog file: $rxvt_cv_path_lastlog 14833 lastlog file: $path_lastlog
14780 ttys/ttytab file: $rxvt_cv_path_ttytab 14834 lastlogx file: $path_lastlogx"
14781 embedded perl: $support_perl"
14782 echo
14783fi 14835fi
14784if test x$term != x; then 14836if test x$term != x; then
14785 echo " set TERM to: $term" 14837 echo " set TERM to: $term"
14786fi 14838fi
14787if test x$terminfo != x; then 14839if test x$terminfo != x; then
14790echo " default resource name: $RESNAME" 14842echo " default resource name: $RESNAME"
14791echo " resource class: $RESCLASS" 14843echo " resource class: $RESCLASS"
14792if test x$RESFALLBACK != x; then 14844if test x$RESFALLBACK != x; then
14793 echo " resource class fallback: $RESFALLBACK" 14845 echo " resource class fallback: $RESFALLBACK"
14794fi 14846fi
14847echo
14848echo " embedded perl: $support_perl"
14795echo 14849echo
14796if test x$support_xpm = xneedsmanualspecification; then 14850if test x$support_xpm = xneedsmanualspecification; then
14797 echo ".----------------------------------------------------------------." 14851 echo ".----------------------------------------------------------------."
14798 echo ". WARNING: --enable-xpm-background was specified however the ." 14852 echo ". WARNING: --enable-xpm-background was specified however the ."
14799 echo ". XPM includes files and libraries could not be found. ." 14853 echo ". XPM includes files and libraries could not be found. ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines